帮助中心

立即注册 咨询客服

当前位置:首页 > 帮助中心> GitHub警告用户在即将到来的截止日期之前启用2FA

GitHub警告用户在即将到来的截止日期之前启用2FA

发布时间:2023年12月27日 09:41:10    来源: A5互联

GitHub警告用户如果不在其帐户上启用双因素身份验证(2FA),他们在网站上的功能很快就会受到限制。

在平安夜发送给GitHub用户的电子邮件中警告说,所有在GitHub上贡献代码的用户都必须在2024年1月19日之前启用2FA。

A5互联看到的电子邮件中写道:“这是一个提醒,我们宣布要求用户在GitHub上贡献代码以启用双因素身份验证(2FA)。”

您收到此通知是因为您的帐户符合此条件,并且需要在2024年1月19日00:00(UTC)之前注册2FA。

登录您的帐户后,GitHub网站上也会显示相同的警告,如下所示。

如果您在GitHub上编写或管理代码,请尽快操作。他们做出这一决定是为了保护供应链攻击中的帐户不被泄露和代码被更改。

不过,这一更改仅适用于GitHub,不适用于商业或企业帐户。

如果您尚未在截止日期前设置2FA,您会发现对GitHub的访问受到限制。但不用担心,GitHub有说明可以帮助您轻松配置它。

2024年1月19日00:00(世界标准时间),您的帐户将需要进行2FA身份验证。如果您在该日期之前尚未注册,则在完成注册过程之前,您访问GitHub的能力将受到限制,该公司在给用户的电子邮件中指出。

1月19日截止日期之后,尝试在不使用2FA的情况下访问GitHub的用户将被自动引导完成设置。

即使在2FA成为强制要求之后,任何配置的个人访问令牌、SSH密钥和应用程序仍然可以工作。但是,如果您想创建新帐户或更改帐户设置,则必须在帐户上启用2FA。

如何在Github上设置2FA

GitHub提供了各种启用2FA的方法,以满足用户在使用安全密钥、GitHubMobile、身份验证器应用程序(TOTP)和短信方面的偏好。

为了保证连续访问,建议至少激活其中两种方法。用户可以管理其2FA设置并在GitHub上的安全设置中分析其他方法。

如果您已在2024年1月19日之前启用2FA,则一切就绪。在此日期之后,您将无法关闭2FA,但可以更改配置的验证方法。

GitHub在其电子邮件中建议采用不止一种2FA方法,因为它警告说,“如果您丢失了2FA凭据,可能无法恢复对启用了2FA的帐户的访问权限”。

如果您失去了所有2FA选项,恢复帐户的唯一方法就是使用恢复代码。